clang-tools 10.0.0

Functions | Variables
gen_std Namespace Reference

## Functions
def | ParseArg ()
def | main ()

## Variables
string | CODE_PREFIX

## Function Documentation

## ◆ main()

def gen_std.main | ( |  | ) |

Definition at line 67 of file gen_std.py.

References cppreference_parser.GetSymbols(), clang::tidy::cppcoreguidelines.join(), and ParseArg().

## ◆ ParseArg()

def gen_std.ParseArg | ( |  | ) |

Definition at line 53 of file gen_std.py.

Referenced by main().

## Variable Documentation

## ◆ CODE_PREFIX

string gen_std.CODE_PREFIX

Initial value:
1 = """\
2 //===-- gen_std.py generated file -------------------------------*- C++ -*-===//
3 //
4 // Used to build a lookup table (qualified names => include headers) for %s
5 // Standard Library symbols.
6 //
7 // Automatically generated file, DO NOT EDIT!
8 //
9 // Generated from cppreference offline HTML book (modified on %s).
10 //===----------------------------------------------------------------------===//
11 """

Definition at line 41 of file gen_std.py.